booster::locale::utf::utf_traits< CharType, 1 > Struct Template Reference

## Public Types

typedef CharType | char_type

## Static Public Member Functions

static int | trail_length (char_type ci)
static int | width (code_point value)
static bool | is_trail (char_type ci)
static bool | is_lead (char_type ci)
template<typename Iterator >
static code_point | decode (Iterator &p, Iterator e)
template<typename Iterator >
static code_point | decode_valid (Iterator &p)
template<typename Iterator >
static Iterator | encode (code_point value, Iterator out)

## Static Public Attributes

static const int | max_width = 4

The documentation for this struct was generated from the following file:

- booster/locale/utf.h